### org.jfree.layouting.input.style.parser.stylehandler

# Class ListOfPairReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.ListOfPairReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

Known Direct Subclasses:
  BackgroundPositionReadHandler, QuotesReadHandler

`public abstract class ListOfPairReadHandler`
`extends java.lang.Object`
`implements CSSValueReadHandler`

Creation-Date: 26.11.2005, 19:23:09

Author:
  Thomas Morgner

  ## Constructor Summary

  `ListOfPairReadHandler()`

  ## Method Summary

  `protected void`

  `addToResultList(ArrayList values, CSSValue firstPosition, CSSValue secondPosition)`

  `CSSValue`

  `createValue(StyleKey name, LexicalUnit value)`

  `protected abstract CSSValue`

  `parseFirstPosition(LexicalUnit value)`

  `protected abstract CSSValue`

  `parseSecondPosition(LexicalUnit value, CSSValue first)`

## Constructor Details

### ListOfPairReadHandler

    protected ListOfPairReadHandler()

## Method Details

### addToResultList

    protected void addToResultList(ArrayList values,
                                   CSSValue firstPosition,
                                   CSSValue secondPosition)

### createValue

    public CSSValue createValue(StyleKey name,
                                LexicalUnit value)

> Specified by:
>   createValue in interface CSSValueReadHandler

### parseFirstPosition

    protected abstract CSSValue parseFirstPosition(LexicalUnit value)

### parseSecondPosition

    protected abstract CSSValue parseSecondPosition(LexicalUnit value,
                                                    CSSValue first)